Subject: Re: bug#38185: isearch-yank-word-or-char grabs periods at ends of words when used on man pages

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 06:51:12 +0100

Juri Linkov <[email-masked]> writes:

> isearch-yank-word-or-char was intended to yank exactly the same text
> as navigated by forward-word.

And I guess we don't really want to change the syntax class of "." in
Man buffers, so there isn't really anything to fix here, and I'm closing
this bug report.

> However, I can't reproduce this issue in Man buffers: forward-word
> doesn't consider "." as part of a word.  Ah, this is because I fixed
> this long ago in the init file ~/.emacs as:
>
>   ;; Don't use `man-mode-syntax-table' that sets word syntax to `.', `_', `:'.
>   (add-hook 'Man-mode-hook
>             (lambda ()
>               (set-syntax-table text-mode-syntax-table)))

(And Dan can do this if he wants a more text-mode like behaviour.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no